Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,9 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Adopter;
+
+import java.util.List;
+
+public interface AdopterService {
+    List<Adopter> findAllThatNeedApproval();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,10 @@
+package finki.paw5.service;
+
+
+import finki.paw5.model.entities.Employee;
+
+import java.util.List;
+
+public interface EmployeeService {
+    List<Employee> findAll();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,10 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.User;
+
+import java.util.Optional;
+
+public interface UserService {
+    User register(String password, String repeatPassword, String name, String email, String telephone);
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,26 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.repository.AdopterRepository;
+import finki.paw5.service.AdopterService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.stream.Collectors;
+@Service
+
+public class AdopterServiceImplementation implements AdopterService {
+    private final AdopterRepository adopterRepository;
+
+    public AdopterServiceImplementation(AdopterRepository adopterRepository) {
+        this.adopterRepository = adopterRepository;
+    }
+
+    @Override
+    public List<Adopter> findAllThatNeedApproval() {
+
+        return adopterRepository.findAll().stream()
+                .filter(a -> !a.getVerified() & a.getVerifiedByEmployeeId() == null)
+                .collect(Collectors.toList());
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,22 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Employee;
+import finki.paw5.repository.EmployeeRepository;
+import finki.paw5.service.EmployeeService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+
+@Service
+public class EmployeeServiceImplementation implements EmployeeService {
+    private final EmployeeRepository employeeRepository;
+
+    public EmployeeServiceImplementation(EmployeeRepository employeeRepository) {
+        this.employeeRepository = employeeRepository;
+    }
+
+    @Override
+    public List<Employee> findAll() {
+        return employeeRepository.findAll();
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java	(revision 996b8ba733bf3eebceebea1c3849a3a74314ce66)
@@ -0,0 +1,36 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.User;
+import finki.paw5.repository.UserRepository;
+import finki.paw5.service.UserService;
+import org.springframework.stereotype.Service;
+
+import java.sql.Date;
+import java.time.LocalDate;
+import java.util.Optional;
+
+@Service
+public class UserServiceImpl implements UserService {
+
+    private final UserRepository userRepository;
+
+    public UserServiceImpl(UserRepository userRepository) {
+        this.userRepository = userRepository;
+    }
+
+    @Override
+    public User register(String password, String repeatPassword, String name, String email, String telephone) {
+        if (email == null || email.isEmpty() || password == null || password.isEmpty()) {
+            //throw new Exception();
+        }
+        if (!password.equals(repeatPassword)) {
+            //throw new Exception();
+        }
+       if (this.userRepository.findByEmail(email)!=null) {
+            //throw new Exception("Username exists:"+email);
+        }
+        User user = new User(LocalDate.now(), name, email, password, telephone);
+        return userRepository.save(user);
+    }
+
+}
